package com.framework.mvvm.model.db.entity.dict

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.google.gson.JsonElement

/**
 * 信息配置 表
 */
@Entity(tableName = "infos_config")
data class InfosConfigEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "name") val name: String?,               // 对象类型名称
    @ColumnInfo(name = "obj_type") val objType: String?,        // 对象类型(space|equipment)
    @ColumnInfo(name = "class_code") val classCode: String?,    // 对象class_code
    @ColumnInfo(name = "major_code") val majorCode: String?,    // 专业代码(类型为设备时)
    @ColumnInfo(name = "system_code") val systemCode: String?,  // 系统代码(类型为设备时)
    @ColumnInfo(name = "project_id") val projectId: String?,    // 项目id
    @ColumnInfo(name = "infos") val infos: JsonElement? = null  // 对象类型的信息详情点配置
)